<?php
   require("conecta.php");
   $tabla="";

   if (isset($_POST["insertar"]))
    {
		$idC = $_POST['Cliente'];
		$idP = $_POST['Producto'];
		$cant = $_POST['cant'];
		$p = mysql_query("SELECT * FROM producto WHERE IdProducto=$idP");
		$f = mysql_fetch_array($p);
		$precio = $f['Precio'];
		$costo = $cant * $precio;

		$query = "INSERT INTO venta VALUES (NULL, '$idC', '$idP', '$cant')";
		mysql_query($query);
		mysql_close($conecta);
	
		$tabla="<table border='1' cellpadding='10'>\n";
		$tabla.="<tr> <th>IdCliente</th><th>IdProducto</th><th>Costo</th> </tr>\n";
		$tabla.="<tr><td>$idC</td>
					 <td>$idP</td>
					 <td>$costo</td>
				 </tr>\n";
		$tabla.="</table>\n";
	}
?>

<html>
<head>
   <title>Alta Venta</title>
</head>

<body>
<form action="<?php $_SERVER['PHP_SELF'];?>" method="post">
  <p>
	 <label> Cliente:
	 <select name="Cliente">
	 <?php $consulta = mysql_query("SELECT * FROM cliente;");
		 while ($fila=mysql_fetch_array($consulta))
		 {
			echo "<option value='".$fila['id_cliente']."'>".$fila['nombreC']."</option>";
		 }
	 ?>
	 </select>
	 </label>
  </p>
  <p>
     <label> Producto:
	 <select name="Producto">
	 <?php $consulta2 = mysql_query("SELECT * FROM producto;");
		 while ($fila2=mysql_fetch_array($consulta2))
		 {
			echo "<option value='".$fila2['IdProducto']."'>".$fila2['Descripcion']."</option>";
		 }
	 ?>
	 </select>
	 </label>
  <p>
     <label>Cantidad:
     <input type="int" name="cant">
     </label>
  </p>
  <p>
     <input type="hidden" name="insertar">
     <label>
     <input type="submit" value="Enviar">
     </label>
  </p>
</form>

<p>
   <?php echo $tabla; ?>
</p>

</body>
</html>